Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027290
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2014-08-07 11:152014-08-14 13:05
ReporterinigosanchezView Statuspublic 
Assigned Toinigosanchez 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision0276fa6a664f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027290: Upgrade all test cases of JUnit (Version 4.11)

DescriptionThe goal is to upgrade all test cases to latest stable version of JUnit (Version 4.11) to use the new features and new notations of JUnit 4.11.

It will also be added the hamcrest-all-1.3 library.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027320 closedalostale API break: test classes removed from classpath 
related to defect 0028876 closedalostale OBBaseTest rolls back all test executions 
related to defect 0029806 closedplatform Upgrade Failure 
causes defect 0027743 closedalostale ant target run.api.test.javascript is broken after latest junit changes 

-  Notes
(0069297)
hgbot (developer)
2014-08-11 14:41

Repository: erp/devel/pi
Changeset: 0276fa6a664f5b9b0c9e690d1a45d55da86f792b
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Mon Aug 11 14:39:34 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0276fa6a664f5b9b0c9e690d1a45d55da86f792b [^]

fixed issue 27290: upgrade junit 4.11.

---
M .classpath.template
M legal/Licensing.txt
M lib/build/junit.jar
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/AllTests.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/FinancialAccountTest.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentMethodTest.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_01.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_02.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_03.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_04.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_05.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_06.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_07.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_08.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_09.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_10.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_11.java
M modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/TestUtility.java
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/WeldBaseTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/DynamicExpressionParserTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/MenuTemplateTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/MenuTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/StandardWindowTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/FreemarkerTemplateProcessorTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/GenerateComponentTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/LabelTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/CompressionTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/KernelUtilTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/TemplateResolverTest.java
M modules/org.openbravo.client.myob/src-test/org/openbravo/client/myob/test/MyOpenbravoTest.java
M modules/org.openbravo.service.datasource/src-test/org/openbravo/service/datasource/test/DataSourceServiceProviderTest.java
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/DataQueryServiceTest.java
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/JsonConversionTest.java
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/JsonReadRestTest.java
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/JsonRestTest.java
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/JsonUpdateRestTest.java
M modules/org.openbravo.userinterface.selector/src-test/org/openbravo/userinterface/selectors/test/ExpressionsTest.java
M src-test/org/openbravo/erpCommon/info/ClassicSelectorTest.java
M src-test/org/openbravo/test/AllAntTaskTests.java
M src-test/org/openbravo/test/AllQuickAntTaskTests.java
M src-test/org/openbravo/test/AllTests.java
M src-test/org/openbravo/test/AllWebserviceTests.java
M src-test/org/openbravo/test/AntTaskTests.java
M src-test/org/openbravo/test/accounting/RecordID2Test.java
M src-test/org/openbravo/test/ant/AntTasksTest.java
M src-test/org/openbravo/test/ant/BaseAntTest.java
M src-test/org/openbravo/test/ant/CallWadTest.java
M src-test/org/openbravo/test/ant/RestartTomcatTest.java
M src-test/org/openbravo/test/base/BaseTest.java
M src-test/org/openbravo/test/base/HiddenObjectHelper.java
M src-test/org/openbravo/test/dal/ADCachedMultiThreadTest.java
M src-test/org/openbravo/test/dal/AdminContextTest.java
M src-test/org/openbravo/test/dal/ComputedColumnsTest.java
M src-test/org/openbravo/test/dal/DalComplexQueryRequisitionTest.java
M src-test/org/openbravo/test/dal/DalComplexQueryTestOrderLine.java
M src-test/org/openbravo/test/dal/DalConnectionProviderTest.java
M src-test/org/openbravo/test/dal/DalCopyTest.java
M src-test/org/openbravo/test/dal/DalFilterTest.java
M src-test/org/openbravo/test/dal/DalPerformanceCriteriaTest.java
M src-test/org/openbravo/test/dal/DalPerformanceExampleTest.java
M src-test/org/openbravo/test/dal/DalPerformanceInventoryLineTest.java
M src-test/org/openbravo/test/dal/DalPerformanceProductTest.java
M src-test/org/openbravo/test/dal/DalPerformanceProxyTest.java
M src-test/org/openbravo/test/dal/DalQueryTest.java
M src-test/org/openbravo/test/dal/DalStoredProcedureTest.java
M src-test/org/openbravo/test/dal/DalTest.java
M src-test/org/openbravo/test/dal/DalUtilTest.java
M src-test/org/openbravo/test/dal/DoOrgClientAccessCheckTest.java
M src-test/org/openbravo/test/dal/DynamicEntityTest.java
M src-test/org/openbravo/test/dal/HiddenUpdateTest.java
M src-test/org/openbravo/test/dal/IssuesTest.java
M src-test/org/openbravo/test/dal/MappingGenerationTest.java
M src-test/org/openbravo/test/dal/OBContextTest.java
M src-test/org/openbravo/test/dal/PerformanceGenerateInstanceTest.java
M src-test/org/openbravo/test/dal/ReadByNameTest.java
M src-test/org/openbravo/test/dal/SimpleDalReadTest.java
M src-test/org/openbravo/test/dal/ValidationTest.java
M src-test/org/openbravo/test/dal/ViewTest.java
M src-test/org/openbravo/test/datasource/BaseDataSourceTestDal.java
M src-test/org/openbravo/test/datasource/BaseDataSourceTestNoDal.java
M src-test/org/openbravo/test/datasource/FICTest.java
M src-test/org/openbravo/test/datasource/ProductSelectorDataSourceTest.java
M src-test/org/openbravo/test/datasource/SelectorFieldPropertySelectorDSTest.java
M src-test/org/openbravo/test/datasource/TestCSVEncoding.java
M src-test/org/openbravo/test/datasource/TestComboDatasource.java
M src-test/org/openbravo/test/doc/GenerateEntityModelWiki.java
M src-test/org/openbravo/test/expression/EvaluationTest.java
M src-test/org/openbravo/test/javascript/CompressionTest.java
M src-test/org/openbravo/test/javascript/JavaScriptAPITest.java
M src-test/org/openbravo/test/mimetypes/MimeTypeTest.java
M src-test/org/openbravo/test/model/ClassLoaderTest.java
M src-test/org/openbravo/test/model/FieldProviderTest.java
M src-test/org/openbravo/test/model/IndexesTest.java
M src-test/org/openbravo/test/model/OneToManyTest.java
M src-test/org/openbravo/test/model/RuntimeModelTest.java
M src-test/org/openbravo/test/model/TrlColumnsOraTypeTest.java
M src-test/org/openbravo/test/model/UniqueConstraintTest.java
M src-test/org/openbravo/test/model/UtilsTest.java
M src-test/org/openbravo/test/modularity/DBPrefixTest.java
M src-test/org/openbravo/test/modularity/DatasetServiceTest.java
M src-test/org/openbravo/test/modularity/MergePropertiesTest.java
M src-test/org/openbravo/test/modularity/TableNameTest.java
M src-test/org/openbravo/test/preference/PreferenceTest.java
M src-test/org/openbravo/test/security/AccessLevelTest.java
M src-test/org/openbravo/test/security/AllDataAllowedOrganizationsTest.java
M src-test/org/openbravo/test/security/AllowedOrganizationsTest.java
M src-test/org/openbravo/test/security/EntityAccessTest.java
M src-test/org/openbravo/test/security/WritableReadableOrganizationClientTest.java
M src-test/org/openbravo/test/system/ErrorTextParserTest.java
M src-test/org/openbravo/test/system/OBPropertiesProviderTest.java
M src-test/org/openbravo/test/system/SystemServiceTest.java
M src-test/org/openbravo/test/system/SystemValidatorTest.java
M src-test/org/openbravo/test/webservice/BaseWSTest.java
M src-test/org/openbravo/test/webservice/PerformanceTest.java
M src-test/org/openbravo/test/webservice/WSAddRecordWithComputedColumns.java
M src-test/org/openbravo/test/webservice/WSReadTest.java
M src-test/org/openbravo/test/webservice/WSUpdateTest.java
M src-test/org/openbravo/test/xml/ClientExportImportTest.java
M src-test/org/openbravo/test/xml/DatasetExportTest.java
M src-test/org/openbravo/test/xml/EntityXMLImportTestBusinessObject.java
M src-test/org/openbravo/test/xml/EntityXMLImportTestReference.java
M src-test/org/openbravo/test/xml/EntityXMLImportTestSingle.java
M src-test/org/openbravo/test/xml/EntityXMLImportTestWarning.java
M src-test/org/openbravo/test/xml/EntityXMLIssues.java
M src-test/org/openbravo/test/xml/UniqueConstraintImportTest.java
M src-test/org/openbravo/test/xml/XMLBaseTest.java
A lib/build/hamcrest-all-1.3.jar
A src-test/org/openbravo/test/base/OBBaseTest.java
---
(0069327)
hudsonbot (developer)
2014-08-12 20:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f93c6f350902 [^]
Maturity status: Test
(0069370)
alostale (developer)
2014-08-14 13:05

code reviewed

- Issue History
Date Modified Username Field Change
2014-08-07 11:15 inigosanchez New Issue
2014-08-07 11:15 inigosanchez Assigned To => inigosanchez
2014-08-07 11:15 inigosanchez Modules => Core
2014-08-07 11:15 inigosanchez Triggers an Emergency Pack => No
2014-08-11 14:41 hgbot Checkin
2014-08-11 14:41 hgbot Note Added: 0069297
2014-08-11 14:41 hgbot Status new => resolved
2014-08-11 14:41 hgbot Resolution open => fixed
2014-08-11 14:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0276fa6a664f5b9b0c9e690d1a45d55da86f792b [^]
2014-08-12 20:57 hudsonbot Checkin
2014-08-12 20:57 hudsonbot Note Added: 0069327
2014-08-13 08:32 alostale Relationship added related to 0027320
2014-08-14 13:05 alostale Review Assigned To => alostale
2014-08-14 13:05 alostale Note Added: 0069370
2014-08-14 13:05 alostale Status resolved => closed
2014-08-14 13:05 alostale Fixed in Version => 3.0PR14Q4
2014-10-03 07:29 alostale Relationship added causes 0027743
2015-02-06 08:22 alostale Relationship added related to 0028876
2015-05-07 12:06 alostale Relationship added related to 0029806


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker